Index: cpukit/score/cpu/mips/rtems/mips/idtcpu.h
===================================================================
--- cpukit/score/cpu/mips/rtems/mips/idtcpu.h	(revision 455bd4eae2b5fe59057fa2d9f4372c5897ec9685)
+++ cpukit/score/cpu/mips/rtems/mips/idtcpu.h	(revision a1f9934a8f096489620362620ef610b52a3c4ae1)
@@ -1,31 +1,44 @@
-/*
-
-Based upon IDT provided code with the following release:
-
-This source code has been made available to you by IDT on an AS-IS
-basis. Anyone receiving this source is licensed under IDT copyrights
-to use it in any way he or she deems fit, including copying it,
-modifying it, compiling it, and redistributing it either with or
-without modifications.  No license under IDT patents or patent
-applications is to be implied by the copyright license.
-
-Any user of this software should understand that IDT cannot provide
-technical support for this software and will not be responsible for
-any consequences resulting from the use of this software.
-
-Any person who transfers this source code or any derivative work must
-include the IDT copyright notice, this paragraph, and the preceeding
-two paragraphs in the transferred software.
-
-COPYRIGHT IDT CORPORATION 1996
-LICENSED MATERIAL - PROGRAM PROPERTY OF IDT
-*/
-
-/*
-** idtcpu.h -- cpu related defines
-*/
+/**
+ *  @file idtcpu.h
+ *
+ *  @brief CPU Related Definitions
+ *
+ * 950313: Ketan added sreg/lreg and R_SZ for 64-bit saves
+ *         added Register definition for XContext reg.
+ *         Look towards end of this file.
+ */
+
+/*
+ * Based upon IDT provided code with the following release:
+ *
+ * This source code has been made available to you by IDT on an AS-IS
+ * basis. Anyone receiving this source is licensed under IDT copyrights
+ * to use it in any way he or she deems fit, including copying it,
+ * modifying it, compiling it, and redistributing it either with or
+ * without modifications.  No license under IDT patents or patent
+ * applications is to be implied by the copyright license.
+ *
+ * Any user of this software should understand that IDT cannot provide
+ * technical support for this software and will not be responsible for
+ * any consequences resulting from the use of this software.
+ *
+ * Any person who transfers this source code or any derivative work must
+ * include the IDT copyright notice, this paragraph, and the preceeding
+ * two paragraphs in the transferred software.
+ *
+ * COPYRIGHT IDT CORPORATION 1996
+ * LICENSED MATERIAL - PROGRAM PROPERTY OF IDT
+ */
 
 #ifndef _RTEMS_MIPS_IDTCPU_H
 #define _RTEMS_MIPS_IDTCPU_H
+
+/**
+ *  @defgroup MipsSet_idtcpu CPU Related Definitions
+ *
+ *  @ingroup MIPS
+ *
+ */
+/**@{*/
 
 /*
@@ -93,5 +106,5 @@
 */
 #define	MINCACHE	0x200		/* 512       For 3041. */
-#define	MAXCACHE	0x40000		/* 256*1024   256k */	
+#define	MAXCACHE	0x40000		/* 256*1024   256k */
 
 #if  __mips == 32
@@ -692,4 +705,4 @@
 #endif
 
+/**@}*/
 #endif /* _RTEMS_MIPS_IDTCPU_H */
-
Index: cpukit/score/cpu/mips/rtems/mips/iregdef.h
===================================================================
--- cpukit/score/cpu/mips/rtems/mips/iregdef.h	(revision 455bd4eae2b5fe59057fa2d9f4372c5897ec9685)
+++ cpukit/score/cpu/mips/rtems/mips/iregdef.h	(revision a1f9934a8f096489620362620ef610b52a3c4ae1)
@@ -1,43 +1,50 @@
-/*
-
-Based upon IDT provided code with the following release:
-
-This source code has been made available to you by IDT on an AS-IS
-basis. Anyone receiving this source is licensed under IDT copyrights
-to use it in any way he or she deems fit, including copying it,
-modifying it, compiling it, and redistributing it either with or
-without modifications.  No license under IDT patents or patent
-applications is to be implied by the copyright license.
-
-Any user of this software should understand that IDT cannot provide
-technical support for this software and will not be responsible for
-any consequences resulting from the use of this software.
-
-Any person who transfers this source code or any derivative work must
-include the IDT copyright notice, this paragraph, and the preceeding
-two paragraphs in the transferred software.
-
-COPYRIGHT IDT CORPORATION 1996
-LICENSED MATERIAL - PROGRAM PROPERTY OF IDT
-
-
-/*
-**	iregdef.h - IDT R3000 register structure header file
-**
-**	Copyright 1989 Integrated Device Technology, Inc
-**	All Rights Reserved
-**
-*/
-#ifndef _RTEMS_MIPS_IREGDEF_H
-#define _RTEMS_MIPS_IREGDEF_H
-
-/*
+/**
+ *  @file iregdef.h
+ *
+ *  @brief IDT R3000 Register Structure
+ *
  * 950313: Ketan added sreg/lreg and R_SZ for 64-bit saves
  *         added Register definition for XContext reg.
  *         Look towards end of this file.
  */
+
 /*
-** register names
-*/
+ *	Copyright 1989 Integrated Device Technology, Inc
+ *	All Rights Reserved
+ *
+ * Based upon IDT provided code with the following release:
+ *
+ * This source code has been made available to you by IDT on an AS-IS
+ * basis. Anyone receiving this source is licensed under IDT copyrights
+ * to use it in any way he or she deems fit, including copying it,
+ * modifying it, compiling it, and redistributing it either with or
+ * without modifications.  No license under IDT patents or patent
+ * applications is to be implied by the copyright license.
+ *
+ * Any user of this software should understand that IDT cannot provide
+ * technical support for this software and will not be responsible for
+ * any consequences resulting from the use of this software.
+ *
+ * Any person who transfers this source code or any derivative work must
+ * include the IDT copyright notice, this paragraph, and the preceeding
+ * two paragraphs in the transferred software.
+ *
+ * COPYRIGHT IDT CORPORATION 1996
+ * LICENSED MATERIAL - PROGRAM PROPERTY OF IDT
+ */
+
+#ifndef _RTEMS_MIPS_IREGDEF_H
+#define _RTEMS_MIPS_IREGDEF_H
+
+/**
+ *  @defgroup MipsSet_iregdef Register Structure
+ *
+ *  @ingroup MIPS
+ *
+ */
+/**@{*/
+
+/* register names */
+
 #define r0	$0
 #define r1	$1
@@ -327,4 +334,4 @@
 #endif
 
+/**@}*/
 #endif /* _RTEMS_MIPS_IREGDEF_H */
-
Index: cpukit/score/cpu/mips/rtems/score/cpu.h
===================================================================
--- cpukit/score/cpu/mips/rtems/score/cpu.h	(revision 455bd4eae2b5fe59057fa2d9f4372c5897ec9685)
+++ cpukit/score/cpu/mips/rtems/score/cpu.h	(revision a1f9934a8f096489620362620ef610b52a3c4ae1)
@@ -1,6 +1,6 @@
 /**
  *  @file
- *  
- *  Mips CPU Dependent Header File
+ *
+ *  @brief Mips CPU Dependent Header File
  *
  *  Conversion to MIPS port by Alan Cudmore <alanc@linuxstart.com> and
@@ -43,4 +43,12 @@
 #define _RTEMS_SCORE_CPU_H
 
+/**
+ *  @defgroup ScoreCPU CPU CPU
+ *
+ *  @ingroup Score
+ *
+ */
+/**@{*/
+
 #ifdef __cplusplus
 extern "C" {
@@ -212,5 +220,5 @@
  */
 
-#define CPU_ALL_TASKS_ARE_FP CPU_HARDWARE_FP 
+#define CPU_ALL_TASKS_ARE_FP CPU_HARDWARE_FP
 
 /*
@@ -1173,3 +1181,4 @@
 #endif
 
-#endif
+/**@}*/
+#endif
Index: cpukit/score/cpu/mips/rtems/score/mips.h
===================================================================
--- cpukit/score/cpu/mips/rtems/score/mips.h	(revision 455bd4eae2b5fe59057fa2d9f4372c5897ec9685)
+++ cpukit/score/cpu/mips/rtems/score/mips.h	(revision a1f9934a8f096489620362620ef610b52a3c4ae1)
@@ -1,4 +1,13 @@
 /**
  * @file rtems/score/mips.h
+ *
+ * @brief Information to build RTEMS for a "no cpu" while in protected mode.
+ *
+ *  This file contains the information required to build
+ *  RTEMS for a particular member of the "no cpu"
+ *  family when executing in protected mode.  It does
+ *  this by setting variables to indicate which implementation
+ *  dependent features are present in a particular member
+ *  of the family.
  */
 
@@ -14,4 +23,12 @@
 #ifndef _RTEMS_SCORE_MIPS_H
 #define _RTEMS_SCORE_MIPS_H
+
+/**
+ *  @defgroup ScoreMips RTEMS no cpu Build Information
+ *
+ *  @ingroup Score
+ *
+ */
+/**@{*/
 
 #ifdef __cplusplus
@@ -278,4 +295,5 @@
 #endif
 
+/**@}*/
 #endif /* _RTEMS_SCORE_MIPS_H */
 /* end of include file */
Index: cpukit/score/cpu/mips/rtems/score/types.h
===================================================================
--- cpukit/score/cpu/mips/rtems/score/types.h	(revision 455bd4eae2b5fe59057fa2d9f4372c5897ec9685)
+++ cpukit/score/cpu/mips/rtems/score/types.h	(revision a1f9934a8f096489620362620ef610b52a3c4ae1)
@@ -1,10 +1,12 @@
 /**
  * @file rtems/score/types.h
+ *
+ * @brief Type Definitions Pertaining to the MIPS Processor Family
+ *
+ *  This include file contains type definitions pertaining to the MIPS
+ *  processor family.
  */
 
 /*
- *  This include file contains type definitions pertaining to the MIPS
- *  processor family.
- *
  *  COPYRIGHT (c) 1989-2001.
  *  On-Line Applications Research Corporation (OAR).
@@ -18,4 +20,12 @@
 #ifndef _RTEMS_SCORE_TYPES_H
 #define _RTEMS_SCORE_TYPES_H
+
+/**
+ *  @defgroup ScoreTypes MIPS Processor Family Type Definitions
+ *
+ *  @ingroup Score
+ *
+ */
+/**@{*/
 
 #include <rtems/score/basedefs.h>
@@ -41,3 +51,4 @@
 #endif  /* !ASM */
 
+/**@}*/
 #endif
Index: cpukit/score/include/rtems/bspsmp.h
===================================================================
--- cpukit/score/include/rtems/bspsmp.h	(revision 455bd4eae2b5fe59057fa2d9f4372c5897ec9685)
+++ cpukit/score/include/rtems/bspsmp.h	(revision a1f9934a8f096489620362620ef610b52a3c4ae1)
@@ -27,4 +27,6 @@
  *  @defgroup RTEMS BSP SMP Interface
  *
+ *  @ingroup Score
+ *
  *  This defines the interface between RTEMS and the BSP for
  *  SMP support.  The interface uses the term primary
@@ -48,5 +50,5 @@
 #ifndef ASM
 /**
- *  @brief Maximum Number of CPUs in SMP System
+ *  @brief Maximum number of CPUs in SMP system.
  *
  *  This variable is set during the SMP initialization sequence to
@@ -56,5 +58,5 @@
 
 /**
- *  @brief Initialize Secondary CPUs
+ *  @brief Initialize secondary CPUs.
  *
  *  This method is invoked by RTEMS during initialization to bring the
@@ -64,5 +66,5 @@
  *              can handle
  *
- *  @return This method returns the number of cores available in the
+ *  @retval This method returns the number of cores available in the
  *          system.
  */
@@ -72,15 +74,15 @@
 
 /**
- *  @brief Obtain Current CPU Index
+ *  @brief Obtain current CPU index.
  *
  *  This method is invoked by RTEMS when it needs to know the index
  *  of the CPU it is executing on.
  *
- *  @return This method returns the current CPU index.
+ *  @retval This method returns the current CPU index.
  */
 int bsp_smp_processor_id(void) RTEMS_COMPILER_PURE_ATTRIBUTE;
 
 /**
- *  @brief Make Request of Another CPU
+ *  @brief Make request of another CPU.
  *
  *  This method is invoked by RTEMS when it needs to make a request
@@ -97,5 +99,5 @@
 
 /**
- *  @brief Generate a Interprocessor Broadcast Interrupt
+ *  @brief Generate an interprocessor broadcast interrupt.
  *
  *  This method is invoked when RTEMS wants to let all of the other
@@ -111,5 +113,5 @@
 
 /**
- *  @brief Generate a Interprocessor Interrupt
+ *  @brief Generate a interprocessor interrupt.
  *
  *  This method is invoked by RTEMS to let @a cpu know that it
@@ -123,5 +125,5 @@
 
 /**
- *  @brief Obtain CPU Core Number
+ *  @brief Obtain CPU core number.
  *
  *  This method is invoked by RTEMS when it needs to know which core
@@ -131,5 +133,5 @@
  *  preempt a thread on another node.
  *
- *  @return This method returns the Id of the current CPU core.
+ *  @retval This method returns the Id of the current CPU core.
  */
 int   bsp_smp_processor_id( void );
@@ -146,5 +148,5 @@
 
 /**
- *  @brief RTEMS SMP Secondary CPU Initialize
+ *  @brief Initialize secondary CPU and coordinates.
  *
  *  This method is the C entry point which secondary CPUs should
@@ -167,5 +169,5 @@
 
 /**
- *  @brief RTEMS SMP Proccess Interrupt
+ *  @brief Process the incoming interprocessor request.
  *
  *  This is the method called by the BSP's interrupt handler
@@ -190,4 +192,5 @@
 #endif
 
+/**@}*/
 #endif
 
Index: cpukit/score/include/rtems/score/address.h
===================================================================
--- cpukit/score/include/rtems/score/address.h	(revision 455bd4eae2b5fe59057fa2d9f4372c5897ec9685)
+++ cpukit/score/include/rtems/score/address.h	(revision a1f9934a8f096489620362620ef610b52a3c4ae1)
@@ -1,4 +1,6 @@
 /**
  *  @file  rtems/score/address.h
+ *
+ *  @brief Information Required to Manipulate Physical Addresses
  *
  *  This include file contains the information required to manipulate
Index: cpukit/score/include/rtems/score/apimutex.h
===================================================================
--- cpukit/score/include/rtems/score/apimutex.h	(revision 455bd4eae2b5fe59057fa2d9f4372c5897ec9685)
+++ cpukit/score/include/rtems/score/apimutex.h	(revision a1f9934a8f096489620362620ef610b52a3c4ae1)
@@ -4,5 +4,5 @@
  * @ingroup ScoreAPIMutex
  *
- * @brief API Mutex Handler API.
+ * @brief API Mutex Handler API
  */
 
@@ -77,9 +77,9 @@
  */
 void _API_Mutex_Lock(
-   API_Mutex_Control *mutex 
+   API_Mutex_Control *mutex
    );
 
 /**
- *  @brief Releases the Specified API Mutex
+ *  @brief Releases the specified API mutex.
  *
  *  Releases the specified @a mutex.
@@ -106,5 +106,5 @@
 
 /**
- *  @brief Memory Allocation Mutex
+ *  @brief Memory allocation mutex.
  *
  *  This points to the API Mutex instance used to ensure that only
@@ -114,5 +114,5 @@
 
 /**
- *  @brief Macro to Ease Locking the Allocator Mutex
+ *  @brief Macro to ease locking the allocator mutex.
  *
  *  This macro makes it explicit that one is locking the allocator mutex.
@@ -122,5 +122,5 @@
 
 /**
- *  @brief Macro to Ease Unlocking the Allocator Mutex
+ *  @brief Macro to ease unlocking the allocator mutex.
  *
  *  This macro makes it explicit that one is unlocking the allocator mutex.
Index: cpukit/score/include/rtems/score/chain.h
===================================================================
--- cpukit/score/include/rtems/score/chain.h	(revision 455bd4eae2b5fe59057fa2d9f4372c5897ec9685)
+++ cpukit/score/include/rtems/score/chain.h	(revision a1f9934a8f096489620362620ef610b52a3c4ae1)
@@ -4,5 +4,5 @@
  * @ingroup ScoreChain
  *
- * @brief Chain Handler API.
+ * @brief Chain Handler API
  */
 
@@ -108,5 +108,5 @@
 
 /**
- *  @brief Initialize a Chain Header
+ *  @brief Initialize a chain header.
  *
  *  This routine initializes @a the_chain structure to manage the
@@ -128,5 +128,5 @@
 
 /**
- *  @brief Extract the specified node from a chain
+ *  @brief Extract the specified node from a chain.
  *
  *  This routine extracts @a the_node from the chain on which it resides.
@@ -143,10 +143,10 @@
 
 /**
- *  @brief Obtain the first node on a chain
+ *  @brief Obtain the first node on a chain.
  *
  *  This function removes the first node from @a the_chain and returns
  *  a pointer to that node.  If @a the_chain is empty, then NULL is returned.
  *
- *  @return This method returns a pointer a node.  If a node was removed,
+ *  @retval This method returns a pointer a node.  If a node was removed,
  *          then a pointer to that node is returned.  If @a the_chain was
  *          empty, then NULL is returned.
@@ -159,5 +159,5 @@
 
 /**
- *  @brief Insert a node on a chain
+ *  @brief Insert a node on a chain.
  *
  *  This routine inserts @a the_node on a chain immediately following
@@ -180,5 +180,5 @@
 
 /**
- *  @brief Append a node on the end of a chain
+ *  @brief Append a node on the end of a chain.
  *
  *  This routine appends @a the_node onto the end of @a the_chain.
@@ -263,5 +263,5 @@
  * operation.
  *
- * @return The node count of the chain.
+ * @retval The node count of the chain.
  */
 size_t _Chain_Node_count_unprotected( const Chain_Control *chain );
Index: cpukit/score/include/rtems/score/corespinlock.h
===================================================================
--- cpukit/score/include/rtems/score/corespinlock.h	(revision 455bd4eae2b5fe59057fa2d9f4372c5897ec9685)
+++ cpukit/score/include/rtems/score/corespinlock.h	(revision a1f9934a8f096489620362620ef610b52a3c4ae1)
@@ -1,4 +1,6 @@
 /**
  *  @file  rtems/score/corespinlock.h
+ *
+ *  @brief Constants and Structures Associated with the Spinlock Handler
  *
  *  This include file contains all the constants and structures associated
@@ -111,5 +113,5 @@
 
 /**
- *  @brief Initialized a spinlock
+ *  @brief Initialize the spinlock.
  *
  *  This routine initializes the spinlock based on the parameters passed.
@@ -124,5 +126,6 @@
 
 /**
- *  @brief Wait for Spinlock
+ *  @brief Wait for spinlock.
+ *
  *  This routine wait for the spinlock to be released.  If the spinlock
  *  is set to automatic and this is the appropriate thread, then it returns
@@ -134,5 +137,5 @@
  *  @param[in] timeout is the maximum number of ticks to spin (0 is forever)
  *
- * @return A status is returned which indicates the success or failure of
+ * @retval A status is returned which indicates the success or failure of
  *         this operation.
  */
@@ -144,6 +147,6 @@
 
 /**
- * @brief Manually release Spinlock
- * 
+ * @brief Manually release the spinlock.
+ *
  *  This routine manually releases the spinlock.  All of the threads waiting
  *  for the spinlock will be readied.
Index: cpukit/score/include/rtems/score/isr.h
===================================================================
--- cpukit/score/include/rtems/score/isr.h	(revision 455bd4eae2b5fe59057fa2d9f4372c5897ec9685)
+++ cpukit/score/include/rtems/score/isr.h	(revision a1f9934a8f096489620362620ef610b52a3c4ae1)
@@ -1,4 +1,6 @@
 /**
  *  @file  rtems/score/isr.h
+ *
+ *  @brief Data Related to the Management of Processor Interrupt Levels
  *
  *  This include file contains all the constants and structures associated
@@ -88,5 +90,5 @@
 
 /**
- *  @brief Initialize the ISR Handler
+ *  @brief Initialize the ISR handler.
  *
  *  This routine performs the initialization necessary for the ISR handler.
@@ -95,10 +97,10 @@
 
 /**
- *  @brief Disable Interrupts on This Core
+ *  @brief Disable interrupts on this core.
  *
  *  This routine disables all interrupts so that a critical section
  *  of code can be executing without being interrupted.
  *
- *  @return The argument @a _level will contain the previous interrupt
+ *  @retval The argument @a _level will contain the previous interrupt
  *          mask level.
  */
@@ -110,5 +112,5 @@
 
 /**
- *  @brief Enable Interrupts on This Core
+ *  @brief Enable interrupts on this core.
  *
  *  This routine enables interrupts to the previous interrupt mask
@@ -126,5 +128,5 @@
 
 /**
- *  @brief Temporarily Enable Interrupts on This Core
+ *  @brief Temporarily enable interrupts on this core.
  *
  *  This routine temporarily enables interrupts to the previous
@@ -154,5 +156,5 @@
 
 /**
- *  @brief Initialize SMP Interrupt Critical Section Support
+ *  @brief Initialize SMP interrupt critical section support.
  *
  *  This method initializes the variables required by the SMP implementation
@@ -162,15 +164,15 @@
 
 /**
- *  @brief Enter Interrupt Critical Section on SMP System
+ *  @brief Enter interrupt critical section on SMP system.
  *
  *  This method is used to enter an interrupt critical section that
  *  is honored across all cores in an SMP system.
  *
- *  @return This method returns the previous interrupt mask level.
+ *  @retval This method returns the previous interrupt mask level.
  */
 ISR_Level _ISR_SMP_Disable(void);
 
 /**
- *  @brief Exit Interrupt Critical Section on SMP System
+ *  @brief Exit interrupt critical section on SMP system.
  *
  *  This method is used to exit an interrupt critical section that
@@ -183,5 +185,5 @@
 
 /**
- *  @brief Temporarily Exit Interrupt Critical Section on SMP System
+ *  @brief Temporarily exit interrupt critical section on SMP system.
  *
  *  This method is used to temporarily exit an interrupt critical section
@@ -194,18 +196,18 @@
 
 /**
- *  @brief Enter SMP interrupt code
+ *  @brief Enter SMP interrupt code.
  *
  *  This method is used to enter the SMP interrupt section.
  *
- *  @return This method returns the isr level.
+ *  @retval This method returns the isr level.
  */
 int _ISR_SMP_Enter(void);
 
 /**
- *  @brief Exit SMP interrupt code
+ *  @brief Exit SMP interrupt code.
  *
  *  This method is used to exit the SMP interrupt.
  *
- *  @return This method returns 0 on a simple return and returns 1 on a
+ *  @retval This method returns 0 on a simple return and returns 1 on a
  *  dispatching return.
  */
@@ -215,5 +217,5 @@
 
 /**
- *  @brief Enter Interrupt Disable Critical Section
+ *  @brief Enter interrupt disable critical section.
  *
  *  This routine enters an interrupt disable critical section.  When
@@ -223,5 +225,5 @@
  *  CPU interrupts.
  *
- *  @return The argument @a _level will contain the previous interrupt
+ *  @retval The argument @a _level will contain the previous interrupt
  *          mask level.
  */
@@ -235,5 +237,5 @@
 
 /**
- *  @brief Exits Interrupt Disable Critical Section
+ *  @brief Exits interrupt disable critical section.
  *
  *  This routine exits an interrupt disable critical section.  When
@@ -242,5 +244,5 @@
  *  CPU interrupts.
  *
- *  @return The argument @a _level will contain the previous interrupt
+ *  @retval The argument @a _level will contain the previous interrupt
  *          mask level.
  */
@@ -254,5 +256,5 @@
 
 /**
- *  @brief Temporarily Exit Interrupt Disable Critical Section
+ *  @brief Temporarily exit interrupt disable critical section.
  *
  *  This routine is used to temporarily enable interrupts
@@ -264,5 +266,5 @@
  *  properly protects itself.
  *
- *  @return The argument @a _level will contain the previous interrupt
+ *  @retval The argument @a _level will contain the previous interrupt
  *          mask level.
  */
@@ -276,5 +278,5 @@
 
 /**
- *  @brief Install Interrupt Handler Vector
+ *  @brief Install interrupt handler vector.
  *
  *  This routine installs new_handler as the interrupt service routine
@@ -290,5 +292,5 @@
  *             to the old handler
  *
- *  @return *_old_handler will be set to the old ISR handler
+ *  @retval *_old_handler will be set to the old ISR handler
  */
 #define _ISR_Install_vector( _vector, _new_handler, _old_handler ) \
@@ -296,5 +298,5 @@
 
 /**
- *  @brief Return Current Interrupt Level
+ *  @brief Return current interrupt level.
  *
  *  This routine returns the current interrupt level.
@@ -303,5 +305,5 @@
  *  XXX document implementation including references if appropriate
  *
- *  @return This method returns the current level.
+ *  @retval This method returns the current level.
  */
 #define _ISR_Get_level() \
@@ -309,5 +311,5 @@
 
 /**
- *  @brief Set Current Interrupt Level
+ *  @brief Set current interrupt level.
  *
  *  This routine sets the current interrupt level to that specified
@@ -325,5 +327,5 @@
 
 /**
- *  @brief ISR Handler or Dispatcher
+ *  @brief ISR interrupt dispatcher.
  *
  *  This routine is the interrupt dispatcher.  ALL interrupts
@@ -341,5 +343,5 @@
 
 /**
- *  @brief ISR Wrapper for Thread Dispatcher
+ *  @brief ISR wrapper for thread dispatcher.
  *
  *  This routine provides a wrapper so that the routine
@@ -356,5 +358,5 @@
 
 /**
- *  @brief Is an ISR in Progress
+ *  @brief Checks if an ISR in progress.
  *
  *  This function returns true if the processor is currently servicing
@@ -362,5 +364,5 @@
  *  that the caller is an interrupt service routine, NOT a thread.
  *
- *  @return This methods returns true when called from an ISR.
+ *  @retval This methods returns true when called from an ISR.
  */
 #if (CPU_PROVIDES_ISR_IS_IN_PROGRESS == TRUE)
Index: cpukit/score/include/rtems/score/scheduleredf.h
===================================================================
--- cpukit/score/include/rtems/score/scheduleredf.h	(revision 455bd4eae2b5fe59057fa2d9f4372c5897ec9685)
+++ cpukit/score/include/rtems/score/scheduleredf.h	(revision a1f9934a8f096489620362620ef610b52a3c4ae1)
@@ -1,4 +1,6 @@
 /**
  *  @file  rtems/score/scheduleredf.h
+ *
+ *  @brief Data Related to the Manipulation of Threads for the EDF Scheduler
  *
  *  This include file contains all the constants and structures associated
@@ -28,4 +30,8 @@
 
 /**
+ *  @defgroup ScoreScheduler
+ *
+ *  @ingroup Score
+ *
  *  @addtogroup ScoreScheduler
  *
@@ -99,5 +105,5 @@
 
 /**
- * @brief Scheduler EDF Initialize
+ * @brief Initialize EDF scheduler.
  *
  * This routine initializes the EDF scheduler.
@@ -106,5 +112,5 @@
 
 /**
- *  @brief Removes Thread from Ready Queue
+ *  @brief Removes thread from ready queue.
  *
  *  This routine removes @a the_thread from the scheduling decision,
@@ -120,5 +126,6 @@
 
 /**
- *  @brief Scheduler EDF Schedule
+ *  @brief Sets the heir thread to be the next ready thread
+ *  in the rbtree ready queue.
  *
  *  This kernel routine sets the heir thread to be the next ready thread
@@ -128,5 +135,5 @@
 
 /**
- *  @brief Scheduler EDF Allocate
+ *  @brief Allocates EDF specific information of @a the_thread.
  *
  *  This routine allocates EDF specific information of @a the_thread.
@@ -140,5 +147,5 @@
 
 /**
- *  @brief Frees EDF information of a thread 
+ *  @brief Frees EDF information of a thread.
  *
  *  This routine frees the EDF specific information of @a the_thread.
@@ -152,5 +159,5 @@
 
 /**
- *  @brief Scheduler EDF Update
+ *  @brief Updates position in the ready queue of @a the_thread.
  *
  *  This routine updates position in the ready queue of @a the_thread.
@@ -164,5 +171,5 @@
 
 /**
- *  @brief Scheduler EDF Unblock
+ *  @brief Adds @a the_thread to the scheduling decision.
  *
  *  This routine adds @a the_thread to the scheduling decision, that is,
@@ -177,5 +184,7 @@
 
 /**
- *  @brief Scheduler EDF Yield
+ *  @brief invoked when a thread wishes to voluntarily
+ *  transfer control of the processor to another thread
+ *  with equal deadline.
  *
  *  This routine is invoked when a thread wishes to voluntarily
@@ -190,5 +199,5 @@
 
 /**
- *  @brief Scheduler EDF Enqueue
+ *  @brief Put @a the_thread to the rbtree ready queue.
  *
  *  This routine puts @a the_thread to the rbtree ready queue.
@@ -201,5 +210,5 @@
 
 /**
- *  @brief Enqueues a thread to the ready queue
+ *  @brief Enqueue a thread to the ready queue.
  *
  *  This routine puts @a the_thread to the rbtree ready queue.
@@ -213,5 +222,6 @@
 
 /**
- *  @brief Scheduler EDF Extract
+ *  @brief Remove a specific thread from the scheduler's set
+ *  of ready threads.
  *
  *  This routine removes a specific thread from the scheduler's set
@@ -225,10 +235,10 @@
 
 /**
- *  @brief Scheduler EDF Priority compare
+ *  @brief Explicitly compare absolute dedlines (priorities) of threads.
  *
  * This routine explicitly compares absolute dedlines (priorities) of threads.
  * In case of EDF scheduling time overflow is taken into account.
  *
- * @return >0 for p1 > p2; 0 for p1 == p2; <0 for p1 < p2.
+ * @retval >0 for p1 > p2; 0 for p1 == p2; <0 for p1 < p2.
  */
 int _Scheduler_EDF_Priority_compare (
@@ -238,5 +248,5 @@
 
 /**
- *  @brief Scheduler EDF Release job
+ *  @brief Called when a new job of task is released.
  *
  *  This routine is called when a new job of task is released.
Index: cpukit/score/include/rtems/score/schedulersimple.h
===================================================================
--- cpukit/score/include/rtems/score/schedulersimple.h	(revision 455bd4eae2b5fe59057fa2d9f4372c5897ec9685)
+++ cpukit/score/include/rtems/score/schedulersimple.h	(revision a1f9934a8f096489620362620ef610b52a3c4ae1)
@@ -1,9 +1,12 @@
 /**
  *  @file  rtems/score/schedulersimple.h
+ *
+ *  @brief Manipulation of Threads Simple-Priority-Based Ready Queue
  *
  *  This include file contains all the constants and structures associated
  *  with the manipulation of threads on a simple-priority-based ready queue.
- *
- *
+ */
+
+/*
  *  Copyright (C) 2011 On-Line Applications Research Corporation (OAR).
  *
@@ -17,6 +20,9 @@
 
 /**
+ *  @defgroup ScoreScheduler
+ *
+ *  @ingroup Score
+ *
  *  @addtogroup ScoreScheduler
- *
  */
 /**@{*/
@@ -51,5 +57,5 @@
 
 /**
- *  @brief Initializes simple scheduler
+ *  @brief Initialize simple scheduler.
  *
  *  This routine initializes the simple scheduler.
@@ -65,5 +71,6 @@
 
 /**
- *  @brief Simple Schedule
+ *  @brief Invoked when a thread wishes to voluntarily
+ *  transfer control of the processor to another thread in the queue.
  *
  *  This routine is invoked when a thread wishes to voluntarily
@@ -80,5 +87,5 @@
 
 /**
- *  @brief Removes a thread from the queue
+ *  @brief Remove a simple-priority-based thread from the queue.
  *
  *  This routine removes @a the_thread from the scheduling decision,
@@ -94,5 +101,6 @@
 
 /**
- *  @brief Scheduler Simple Handler / Unblock
+ *  @brief Unblock a simple-priority-based thread.
+ *
  *  This routine adds @a the_thread to the scheduling decision,
  *  that is, adds it to the ready queue and
@@ -106,5 +114,5 @@
 
 /**
- *  @brief Removes a thread from a simple queue
+ *  @brief Removes a simple-priority-based thread from a simple queue.
  *
  *  This routine removes a specific thread from the specified
@@ -118,5 +126,5 @@
 
 /**
- *  @brief Puts thread onto the ready queue
+ *  @brief Puts simple-priority-based thread onto the ready queue.
  *
  *  This routine puts @a the_thread on to the ready queue.
@@ -129,5 +137,6 @@
 
 /**
- *  @brief Scheduler simple Enqueue first
+ *  @brief Put simple-priority-based @a the_thread to
+ *  the head of the ready queue.
  *
  *  This routine puts @a the_thread to the head of the ready queue.
@@ -141,5 +150,5 @@
 
 /**
- *  @brief Returns empty placeholder for scheduler
+ *  @brief Return empty placeholder for the simple scheduler.
  *
  *  This routine is a place holder for any memeory allocation needed
@@ -150,5 +159,5 @@
  *             management memory for
  *
- *  @return this routine returns -1 since this is just an empty placeholder
+ *  @retval this routine returns -1 since this is just an empty placeholder
  *  and the return value may be defined differently by each scheduler.
  */
@@ -158,5 +167,5 @@
 
 /**
- *  @breif Stub for schedule update
+ *  @breif Stub for simple schedule update.
  *
  *  This routine does nothing, and is used as a stub for Schedule update
@@ -170,5 +179,5 @@
 
 /**
- *  @brief Stub for schedule free
+ *  @brief Stub for simple schedule free.
  *
  *  This routine does nothing, and is used as a stub for Schedule free
@@ -194,5 +203,6 @@
 
 /**
- *  @brief Scheduler Simple Ready Queue Enqueue First
+ *  @brief Puts simple-priority-based @a the_thread on to the ready queue
+ *  at the beginning of its priority group.
  *
  *  This routine puts @a the_thread on to the ready queue
Index: cpukit/score/include/rtems/score/schedulersimplesmp.h
===================================================================
--- cpukit/score/include/rtems/score/schedulersimplesmp.h	(revision 455bd4eae2b5fe59057fa2d9f4372c5897ec9685)
+++ cpukit/score/include/rtems/score/schedulersimplesmp.h	(revision a1f9934a8f096489620362620ef610b52a3c4ae1)
@@ -1,4 +1,6 @@
 /**
  *  @file  rtems/score/schedulersimplesmp.h
+ *
+ *  @brief Manipulation of Threads on a Simple-Priority-Based Ready Queue
  *
  *  This include file contains all the constants and structures associated
@@ -22,4 +24,8 @@
 
 /**
+ *  @defgroup ScoreScheduler
+ *
+ *  @ingroup Score
+ *
  *  @addtogroup ScoreScheduler
  *
@@ -63,5 +69,5 @@
 
 /**
- *  @brief Scheduler Simple SMP Schedule Method
+ *  @brief Allocates ready SMP threads to individual cores in an SMP system.
  *
  *  This routine allocates ready threads to individual cores in an SMP
@@ -72,5 +78,5 @@
 
 /**
- *  @brief Scheduler Simple SMP Block Method
+ *  @brief Remove SMP @a the_thread from the ready queue.
  *
  *  This routine removes @a the_thread from the scheduling decision,
@@ -86,5 +92,6 @@
 
 /**
- *  @brief Scheduler Simple SMP Unblock Method
+ *  @brief Adds SMP @a the_thread to the ready queue and updates any
+ *  appropriate scheduling variables, for example the heir thread.
  *
  *  This routine adds @a the_thread to the scheduling decision,
@@ -99,5 +106,5 @@
 
 /**
- *  @brief Scheduler Simple SMP Tick Method
+ *  @brief Invoked as part of processing each SMP clock tick.
  *
  *  This routine is invoked as part of processing each clock tick.
Index: cpukit/score/include/rtems/score/smplock.h
===================================================================
--- cpukit/score/include/rtems/score/smplock.h	(revision 455bd4eae2b5fe59057fa2d9f4372c5897ec9685)
+++ cpukit/score/include/rtems/score/smplock.h	(revision a1f9934a8f096489620362620ef610b52a3c4ae1)
@@ -1,4 +1,6 @@
 /**
  *  @file  rtems/score/smplock.h
+ *
+ *  @brief Interface for Atomic Locks
  *
  *  This include file defines the interface for atomic locks
@@ -55,5 +57,5 @@
 
 /**
- *  @brief Initialize a Lock
+ *  @brief Initialize a lock.
  *
  *  This method is used to initialize the lock at @a lock.
@@ -66,5 +68,5 @@
 
 /**
- *  @brief Obtain a Lock
+ *  @brief Obtain a lock.
  *
  *  This method is used to obtain the lock at @a lock.
@@ -72,5 +74,5 @@
  *  @param [in] lock is the address of the lock to obtain.
  *
- *  @return This method returns with processor interrupts disabled.
+ *  @retval This method returns with processor interrupts disabled.
  *          The previous level is returned.
  */
@@ -80,5 +82,5 @@
 
 /**
- *  @brief Release a Lock
+ *  @brief Release a lock.
  *
  *  This method is used to release the lock at @a lock.
@@ -92,5 +94,5 @@
 
 /**
- *  @brief Initialize a Lock
+ *  @brief Initialize a lock.
  *
  *  This method is used to initialize the lock at @a lock.
@@ -103,5 +105,5 @@
 
 /**
- *  @brief Obtain a Lock
+ *  @brief Obtain a lock.
  *
  *  This method is used to obtain the lock at @a lock.  ISR's are
@@ -116,5 +118,5 @@
  *  @param [in] lock is the address of the lock to obtain.
  *
- *  @return This method returns with processor interrupts disabled.
+ *  @retval This method returns with processor interrupts disabled.
  *          The previous level is returned.
  */
@@ -124,7 +126,7 @@
 
 /**
- *  @brief Release a Lock
+ *  @brief Release a lock.
  *
- *  This method is used to release the lock at @a lock.  
+ *  This method is used to release the lock at @a lock.
  *
  *  @note ISR's are reenabled by this method and are expected to be
Index: cpukit/score/include/rtems/score/threadmp.h
===================================================================
--- cpukit/score/include/rtems/score/threadmp.h	(revision 455bd4eae2b5fe59057fa2d9f4372c5897ec9685)
+++ cpukit/score/include/rtems/score/threadmp.h	(revision a1f9934a8f096489620362620ef610b52a3c4ae1)
@@ -1,4 +1,6 @@
 /**
  *  @file  rtems/score/threadmp.h
+ *
+ *  @brief Multiprocessing Portion of the Thread Package
  *
  *  This include file contains the specification for all routines
@@ -21,4 +23,6 @@
  *  @defgroup ScoreThreadMP Thread Handler Multiprocessing Support
  *
+ *  @ingroup Score
+ *
  *  This handler encapsulates functionality which is related to managing
  *  threads in a multiprocessor system configuration.  This handler must
@@ -33,5 +37,5 @@
 
 /**
- *  @brief MP Thread Handler Initialization
+ *  @brief Initialize MP thread handler.
  *
  *  This routine initializes the multiprocessing portion of the Thread Handler.
@@ -42,5 +46,6 @@
 
 /**
- *  @brief MP Thread Proxy Allocate
+ *  @brief Allocate a MP proxy control block from
+ *  the inactive chain of free proxy control blocks.
  *
  *  This  allocates a proxy control block from
@@ -55,5 +60,6 @@
 
 /**
- *  @brief MP Thread Proxy Find
+ *  @brief Removes the MP proxy control block for the specified
+ *  id from the active chain of proxy control blocks.
  *
  *  This function removes the proxy control block for the specified
@@ -65,5 +71,5 @@
 
 /**
- *  @brief Active Proxy Set
+ *  @brief Manage the active set MP proxies.
  *
  * The following chain is used to manage the active set proxies.
@@ -72,5 +78,5 @@
 
 /**
- *  @brief Inactive Proxy Set
+ *  @brief Manage the inactive set of MP proxies.
  *
  * The following chain is used to manage the inactive set of proxies.
Index: cpukit/score/include/rtems/score/threadsync.h
===================================================================
--- cpukit/score/include/rtems/score/threadsync.h	(revision 455bd4eae2b5fe59057fa2d9f4372c5897ec9685)
+++ cpukit/score/include/rtems/score/threadsync.h	(revision a1f9934a8f096489620362620ef610b52a3c4ae1)
@@ -1,4 +1,6 @@
 /**
- *  @file  rtems/score/threadsync.h
+ *  @file rtems/score/threadsync.h
+ *
+ *  @brief Synchronize Thread Blocking Operations with Actions in an ISR
  *
  *  This include file contains all constants and structures associated
Index: cpukit/score/include/rtems/score/timestamp64.h
===================================================================
--- cpukit/score/include/rtems/score/timestamp64.h	(revision 455bd4eae2b5fe59057fa2d9f4372c5897ec9685)
+++ cpukit/score/include/rtems/score/timestamp64.h	(revision a1f9934a8f096489620362620ef610b52a3c4ae1)
@@ -1,4 +1,6 @@
 /**
  *  @file  rtems/score/timestamp64.h
+ *
+ *  @brief Helpers for Manipulating 64-bit Integer Timestamps
  *
  *  This include file contains helpers for manipulating
@@ -62,5 +64,5 @@
 
 /**
- *  @brief Set Timestamp to Seconds Nanosecond
+ *  @brief Set 64-bit timestamp to seconds nanosecond.
  *
  *  This method sets the timestamp to the specified seconds and nanoseconds
@@ -90,8 +92,7 @@
 
 /**
- *  @brief Zero Timestamp
- *
- *  This method sets the timestamp to zero.
- *  value.
+ *  @brief Sets the 64-bit timestamp to zero.
+ *
+ *  This method sets the timestamp to zero value.
  *
  *  @param[in] _time points to the timestamp instance to zero.
@@ -107,5 +108,5 @@
 
 /**
- *  @brief Is Timestamp Valid
+ *  @brief Determines the validity of a 64-bit timestamp.
  *
  *  This method determines the validity of a timestamp.
@@ -113,5 +114,5 @@
  *  @param[in] _time points to the timestamp instance to validate.
  *
- *  @return This method returns true if @a time is valid and
+ *  @retval This method returns true if @a time is valid and
  *          false otherwise.
  */
@@ -128,5 +129,5 @@
 
 /**
- *  @brief Timestamp Less Than Operator
+ *  @brief The "less than" operator for 64-bit timestamps.
  *
  *  This method is the less than operator for timestamps.
@@ -135,5 +136,5 @@
  *  @param[in] _rhs points to the right hand side timestamp
  *
- *  @return This method returns true if @a _lhs is less than the @a _rhs and
+ *  @retval This method returns true if @a _lhs is less than the @a _rhs and
  *          false otherwise.
  */
@@ -160,5 +161,5 @@
 
 /**
- *  @brief Timestamp equal to Operator
+ *  @brief The "equal to" operator for 64-bit timestamps.
  *
  *  This method is the is equal to than operator for timestamps.
@@ -167,5 +168,5 @@
  *  @param[in] _rhs points to the right hand side timestamp
  *
- *  @return This method returns true if @a _lhs is equal to  @a _rhs and
+ *  @retval This method returns true if @a _lhs is equal to  @a _rhs and
  *          false otherwise.
  */
@@ -189,5 +190,5 @@
 
 /**
- *  @brief Add to a Timestamp
+ *  @brief Add two 64-bit timestamps.
  *
  *  This routine adds two timestamps.  The second argument is added
@@ -197,5 +198,5 @@
  *  @param[in] _add points to the timestamp to add to the first argument
  *
- *  @return This method returns the number of seconds @a time increased by.
+ *  @retval This method returns the number of seconds @a time increased by.
  */
 #if CPU_TIMESTAMP_USE_INT64_INLINE == TRUE
@@ -210,5 +211,5 @@
 
 /**
- *  @brief Convert Timestamp to Number of Ticks
+ *  @brief Convert 64-bit timestamp to number of ticks.
  *
  *  This routine convert the @a time timestamp to the corresponding number
@@ -217,5 +218,5 @@
  *  @param[in] _time points to the time to be converted
  *
- *  @return This method returns the number of ticks computed.
+ *  @retval This method returns the number of ticks computed.
  */
 uint32_t _Timestamp64_To_ticks(
@@ -224,5 +225,5 @@
 
 /**
- *  @brief Convert Ticks to Timestamp
+ *  @brief Convert ticks to 64-bit timestamp.
  *
  *  This routine converts the @a _ticks value to the corresponding
@@ -247,5 +248,5 @@
 
 /**
- *  @brief Subtract Two Timestamp
+ *  @brief Subtract two 64-bit timestamps.
  *
  *  This routine subtracts two timestamps.  @a result is set to
@@ -278,5 +279,5 @@
 
 /**
- *  @brief Divide Timestamp By Integer
+ *  @brief Divide 64-bit timestamp by an integer.
  *
  *  This routine divides a timestamp by an integer value.  The expected
@@ -300,5 +301,5 @@
 
 /**
- *  @brief Divide Timestamp
+ *  @brief Divide 64-bit timestamp by another 64-bit timestamp.
  *
  *  This routine divides a timestamp by another timestamp.  The
@@ -325,5 +326,5 @@
 
 /**
- *  @brief Get Seconds Portion of Timestamp
+ *  @brief Get seconds portion of a 64-bit timestamp.
  *
  *  This method returns the seconds portion of the specified timestamp
@@ -331,5 +332,5 @@
  *  @param[in] _time points to the timestamp
  *
- *  @return The seconds portion of @a _time.
+ *  @retval The seconds portion of @a _time.
  */
 #if CPU_TIMESTAMP_USE_INT64_INLINE == TRUE
@@ -350,5 +351,5 @@
 
 /**
- *  @brief Get Nanoseconds Portion of Timestamp
+ *  @brief Get nanoseconds portion of a 64-bit timestamp.
  *
  *  This method returns the nanoseconds portion of the specified timestamp
@@ -356,5 +357,5 @@
  *  @param[in] _time points to the timestamp
  *
- *  @return The nanoseconds portion of @a _time.
+ *  @retval The nanoseconds portion of @a _time.
  */
 #if CPU_TIMESTAMP_USE_INT64_INLINE == TRUE
@@ -377,5 +378,5 @@
 
 /**
- *  @brief Convert Timestamp to struct timespec
+ *  @brief Convert 64-bit timestamp to struct timespec.
  *
  *  This method returns the seconds portion of the specified timestamp
@@ -404,5 +405,5 @@
 
 /**
- *  @brief Convert Timestamp to struct timeval
+ *  @brief Convert 64-bit timestamp to struct timeval.
  *
  *  This method returns the seconds portion of the specified timestamp
Index: cpukit/score/include/rtems/score/wkspace.h
===================================================================
--- cpukit/score/include/rtems/score/wkspace.h	(revision 455bd4eae2b5fe59057fa2d9f4372c5897ec9685)
+++ cpukit/score/include/rtems/score/wkspace.h	(revision a1f9934a8f096489620362620ef610b52a3c4ae1)
@@ -1,4 +1,6 @@
 /**
- *  @file  rtems/score/wkspace.h
+ *  @file rtems/score/wkspace.h
+ *
+ *  @brief Information Related to the RAM Workspace
  *
  *  This include file contains information related to the
@@ -45,5 +47,5 @@
 
 /**
- * @brief Workspace Handler Initialization
+ * @brief Initilize workspace handler.
  *
  *  This routine performs the initialization necessary for this handler.
@@ -56,5 +58,5 @@
 
 /**
- * @brief Allocate Memory from Workspace
+ * @brief Allocate memory from workspace.
  *
  *  This routine returns the address of a block of memory of size
@@ -64,5 +66,5 @@
  *  @param size is the requested size
  *
- *  @return a pointer to the requested memory or NULL.
+ *  @retval a pointer to the requested memory or NULL.
  */
 void *_Workspace_Allocate(
@@ -71,5 +73,5 @@
 
 /**
- * @brief Free Memory to the Workspace
+ * @brief Free memory to the workspace.
  *
  *  This function frees the specified block of memory.  If the block
@@ -89,5 +91,5 @@
 
 /**
- * @brief Workspace Allocate or Fail with Fatal Error
+ * @brief Workspace allocate or fail with fatal error.
  *
  *  This routine returns the address of a block of memory of @a size
@@ -96,5 +98,5 @@
  *
  *  @param[in] size is the desired number of bytes to allocate
- *  @return If successful, the starting address of the allocated memory
+ *  @retval If successful, the starting address of the allocated memory
  */
 void *_Workspace_Allocate_or_fatal_error(
@@ -103,11 +105,11 @@
 
 /**
- * @brief Duplicates String with Memory from the Workspace
+ * @brief Duplicates string with memory from the workspace.
  *
  * @param[in] string is the pointer to a zero terminated string.
  * @param[in] len is the length of the string (equal to strlen(string)).
  *
- * @return NULL Not enough memory.
- * @return other Duplicated string.
+ * @retval NULL Not enough memory.
+ * @retval other Duplicated string.
  */
 char *_Workspace_String_duplicate(
Index: cpukit/score/include/rtems/seterr.h
===================================================================
--- cpukit/score/include/rtems/seterr.h	(revision 455bd4eae2b5fe59057fa2d9f4372c5897ec9685)
+++ cpukit/score/include/rtems/seterr.h	(revision a1f9934a8f096489620362620ef610b52a3c4ae1)
@@ -1,4 +1,6 @@
 /**
  *  @file  rtems/seterr.h
+ *
+ *  @brief Data which Ease the Burden of Consistently Setting Errno
  *
  *  This file contains macros and definitions which ease the burden
@@ -17,4 +19,12 @@
 #ifndef _RTEMS_SETERR_H
 #define _RTEMS_SETERR_H
+
+/**
+ *  @defgroup ScoreSetErr Set Errno
+ *
+ *  @ingroup Score
+ *
+ */
+/**@{*/
 
 #include <errno.h>
@@ -42,4 +52,5 @@
   do { errno = (_error); return (_cast) -1; } while(0)
 
+/**@}*/
 #endif
 /* end of include file */
